package com.czg.account.service;

import com.czg.account.dto.area.ShopAreaAddDTO;
import com.czg.account.dto.area.ShopAreaEditDTO;
import com.mybatisflex.core.paginate.Page;
import com.mybatisflex.core.service.IService;
import com.czg.account.entity.ShopTableArea;

/**
 * 店铺区域 服务层。
 *
 * @author zs
 * @since 2025-02-18
 */
public interface ShopTableAreaService extends IService<ShopTableArea> {

    Page<ShopTableArea> pageInfo(Long shopId, String name);

    boolean edit(Long shopId, ShopAreaEditDTO shopAreaEditDTO);

    Boolean add(ShopAreaAddDTO shopAreaAddDTO);

}
